require "spec_helper"

describe BalloonTemplatesController do
  describe "routing" do

    it "routes to #index" do
      get("/balloon_templates").should route_to("balloon_templates#index")
    end

    it "routes to #new" do
      get("/balloon_templates/new").should route_to("balloon_templates#new")
    end

    it "routes to #show" do
      get("/balloon_templates/1").should route_to("balloon_templates#show", :id => "1")
    end

    it "routes to #edit" do
      get("/balloon_templates/1/edit").should route_to("balloon_templates#edit", :id => "1")
    end

    it "routes to #create" do
      post("/balloon_templates").should route_to("balloon_templates#create")
    end

    it "routes to #update" do
      put("/balloon_templates/1").should route_to("balloon_templates#update", :id => "1")
    end

    it "routes to #destroy" do
      delete("/balloon_templates/1").should route_to("balloon_templates#destroy", :id => "1")
    end

  end
end
