require "spec_helper"

describe ResourcePicturesController do
  describe "routing" do

    it "routes to #index" do
      get("/resource_pictures").should route_to("resource_pictures#index")
    end

    it "routes to #new" do
      get("/resource_pictures/new").should route_to("resource_pictures#new")
    end

    it "routes to #show" do
      get("/resource_pictures/1").should route_to("resource_pictures#show", :id => "1")
    end

    it "routes to #edit" do
      get("/resource_pictures/1/edit").should route_to("resource_pictures#edit", :id => "1")
    end

    it "routes to #create" do
      post("/resource_pictures").should route_to("resource_pictures#create")
    end

    it "routes to #update" do
      put("/resource_pictures/1").should route_to("resource_pictures#update", :id => "1")
    end

    it "routes to #destroy" do
      delete("/resource_pictures/1").should route_to("resource_pictures#destroy", :id => "1")
    end

  end
end
