class CommonLicense < ActiveRecord::Base
  belongs_to :license
  
  def save_save
    license = License.new( {
      :name => self.name, :url => self.url, :cc_by => self.cc_by, :cc_sa => self.cc_sa, :cc_nd => self.cc_nd, :cc_nc => self.cc_nc, 
      :no_resize => self.no_resize, :no_flip => self.no_flip, :no_convert => self.no_convert, :keep_aspect_ratio => self.keep_aspect_ratio
    })
    self.license_id = 0
    res = self.save
    return false unless res
    return false unless license.save
    self.license_id = license.id
    res = self.save
    res
  end
  
  def self.import_file(filename)
    t = File.open(filename, 'r').read
    j = JSON.parse t
    l = CommonLicense.new j
    l.save_save
    p l.id
  end
  
end
