require "spec_helper"

describe BalloonsController do
  describe "routing" do

    it "routes to #index" do
      get("/balloons").should route_to("balloons#index")
    end

    it "routes to #new" do
      get("/balloons/new").should route_to("balloons#new")
    end

    it "routes to #show" do
      get("/balloons/1").should route_to("balloons#show", :id => "1")
    end

    it "routes to #edit" do
      get("/balloons/1/edit").should route_to("balloons#edit", :id => "1")
    end

    it "routes to #create" do
      post("/balloons").should route_to("balloons#create")
    end

    it "routes to #update" do
      put("/balloons/1").should route_to("balloons#update", :id => "1")
    end

    it "routes to #destroy" do
      delete("/balloons/1").should route_to("balloons#destroy", :id => "1")
    end

  end
end
