require "spec_helper"

describe SpeachBalloonsController do
  describe "routing" do

    it "routes to #index" do
      get("/speach_balloons").should route_to("speach_balloons#index")
    end

    it "routes to #new" do
      get("/speach_balloons/new").should route_to("speach_balloons#new")
    end

    it "routes to #show" do
      get("/speach_balloons/1").should route_to("speach_balloons#show", :id => "1")
    end

    it "routes to #edit" do
      get("/speach_balloons/1/edit").should route_to("speach_balloons#edit", :id => "1")
    end

    it "routes to #create" do
      post("/speach_balloons").should route_to("speach_balloons#create")
    end

    it "routes to #update" do
      put("/speach_balloons/1").should route_to("speach_balloons#update", :id => "1")
    end

    it "routes to #destroy" do
      delete("/speach_balloons/1").should route_to("speach_balloons#destroy", :id => "1")
    end

  end
end
